org.eclipse.jdt.ui.actions

## Class OpenNewJavaProjectWizardAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.jdt.ui.actions.AbstractOpenWizardAction
        - - org.eclipse.jdt.ui.actions.OpenNewJavaProjectWizardAction

All Implemented Interfaces:
  IAction

    public class OpenNewJavaProjectWizardAction
    extends AbstractOpenWizardAction

Action that opens the new Java project wizard. The action initializes the wizard with the selection as configured by `AbstractOpenWizardAction.setSelection(IStructuredSelection)` or the selection of the active workbench window.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`OpenNewJavaProjectWizardAction()` Creates an instance of the `OpenNewJavaProjectWizardAction`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected INewWizard` `createWizard()` Creates and configures the wizard.
`protected boolean` `doCreateProjectFirstOnEmptyWorkspace(Shell shell)` Opens the new project dialog if the workspace is empty.
`void` `setConfiguredWizardPages(NewJavaProjectWizardPageOne pageOne, NewJavaProjectWizardPageTwo pageTwo)` Sets the configure wizard pages to be used by the wizard.

### Methods inherited from class org.eclipse.jdt.ui.actions.AbstractOpenWizardAction

`getCreatedElement, getSelection, getShell, run, setSelection, setShell`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenNewJavaProjectWizardAction

    public OpenNewJavaProjectWizardAction()

Creates an instance of the `OpenNewJavaProjectWizardAction`.

### Method Detail

#### setConfiguredWizardPages

    public void setConfiguredWizardPages(NewJavaProjectWizardPageOne pageOne,
                                         NewJavaProjectWizardPageTwo pageTwo)

Sets the configure wizard pages to be used by the wizard.

Parameters:
  `pageOne` - the `NewJavaProjectWizardPageOne` page to use or `null` to use the default page.
  `pageTwo` - the `NewJavaProjectWizardPageTwo` page to use or `null` to use the default page.
Since:
  3.4

#### createWizard

    protected final INewWizard createWizard()
                                     throws CoreException

Description copied from class: `AbstractOpenWizardAction`
Creates and configures the wizard. This method should only be called once.

Specified by:
  `createWizard` in class `AbstractOpenWizardAction`
Returns:
  returns the created wizard.
Throws:
  `CoreException` - exception is thrown when the creation was not successful.

#### doCreateProjectFirstOnEmptyWorkspace

    protected boolean doCreateProjectFirstOnEmptyWorkspace(Shell shell)

Description copied from class: `AbstractOpenWizardAction`
Opens the new project dialog if the workspace is empty. This method is called on `AbstractOpenWizardAction.run()`.

Overrides:
  `doCreateProjectFirstOnEmptyWorkspace` in class `AbstractOpenWizardAction`
Parameters:
  `shell` - the shell to use
Returns:
  returns `true` when a project has been created, or `false` when the new project has been canceled.